summaryrefslogtreecommitdiffstats
path: root/lib/store
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2013-01-27 00:54:22 -0600
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2013-01-27 00:54:22 -0600
commit038b18b2df1da40baab30d62171766048a948095 (patch)
treeba99d50e3e7b3f2eccb63ba71aea4f6163ede37a /lib/store
parentd0baf2961c379b31587c6542625018c6177474d0 (diff)
downloadkoffice-038b18b2df1da40baab30d62171766048a948095.tar.gz
koffice-038b18b2df1da40baab30d62171766048a948095.zip
Rename a number of libraries and executables to avoid conflicts with KDE4
Diffstat (limited to 'lib/store')
-rw-r--r--lib/store/KoStore.cpp2
-rw-r--r--lib/store/KoTarStore.cpp2
-rw-r--r--lib/store/KoZipStore.cpp2
-rw-r--r--lib/store/SPEC2
-rw-r--r--lib/store/update_kzip.sh10
5 files changed, 9 insertions, 9 deletions
diff --git a/lib/store/KoStore.cpp b/lib/store/KoStore.cpp
index f87dfef7..64b01a44 100644
--- a/lib/store/KoStore.cpp
+++ b/lib/store/KoStore.cpp
@@ -37,7 +37,7 @@
#include <tdeversion.h>
#include <klocale.h>
#include <kmessagebox.h>
-#include <kio/netaccess.h>
+#include <tdeio/netaccess.h>
//#define DefaultFormat KoStore::Tar
#define DefaultFormat KoStore::Zip
diff --git a/lib/store/KoTarStore.cpp b/lib/store/KoTarStore.cpp
index 5d131a90..d4e6667a 100644
--- a/lib/store/KoTarStore.cpp
+++ b/lib/store/KoTarStore.cpp
@@ -25,7 +25,7 @@
#include <kdebug.h>
#include <kurl.h>
#include <tdeversion.h>
-#include <kio/netaccess.h>
+#include <tdeio/netaccess.h>
KoTarStore::KoTarStore( const TQString & _filename, Mode _mode, const TQCString & appIdentification )
{
diff --git a/lib/store/KoZipStore.cpp b/lib/store/KoZipStore.cpp
index 635ad248..b58829c0 100644
--- a/lib/store/KoZipStore.cpp
+++ b/lib/store/KoZipStore.cpp
@@ -25,7 +25,7 @@
#include <kdebug.h>
#include <tdeversion.h>
#include <kurl.h>
-#include <kio/netaccess.h>
+#include <tdeio/netaccess.h>
#if ! KDE_IS_VERSION( 3, 4, 1 )
#include <tqdir.h>
#include <tqfileinfo.h>
diff --git a/lib/store/SPEC b/lib/store/SPEC
index 4010e33f..9cbec599 100644
--- a/lib/store/SPEC
+++ b/lib/store/SPEC
@@ -21,7 +21,7 @@
The purpose of this document is to define a common KOffice Storage Structure.
Torben, Reggie, and all the others agreed on storing embedded KOffice Parts
and binary data (e.g. pictures, movies, sounds) via a simple tar.gz-structure.
-The support class for the tar format is tdelibs/kio/ktar.*, written by Torben
+The support class for the tar format is tdelibs/tdeio/ktar.*, written by Torben
and finished by David.
The obvious benefits of this type of storage are:
diff --git a/lib/store/update_kzip.sh b/lib/store/update_kzip.sh
index 3c63626a..ecf7dad3 100644
--- a/lib/store/update_kzip.sh
+++ b/lib/store/update_kzip.sh
@@ -1,15 +1,15 @@
#!/bin/sh
header="// GENERATED FILE. Do not edit! Generated from kzip.cpp by $0"
echo "$header" > kozip.cpp
-cat ../../../tdelibs/kio/kio/kzip.cpp >> kozip.cpp || exit 1
+cat ../../../tdelibs/tdeio/tdeio/kzip.cpp >> kozip.cpp || exit 1
echo "$header" > kozip.h
-cat ../../../tdelibs/kio/kio/kzip.h >> kozip.h || exit 1
+cat ../../../tdelibs/tdeio/tdeio/kzip.h >> kozip.h || exit 1
echo "$header" > kofilterdev.cpp
-cat ../../../tdelibs/kio/kio/kfilterdev.cpp >> kofilterdev.cpp || exit 1
+cat ../../../tdelibs/tdeio/tdeio/kfilterdev.cpp >> kofilterdev.cpp || exit 1
echo "$header" > kofilterdev.h
-cat ../../../tdelibs/kio/kio/kfilterdev.h >> kofilterdev.h || exit 1
+cat ../../../tdelibs/tdeio/tdeio/kfilterdev.h >> kofilterdev.h || exit 1
echo "$header" > kolimitediodevice.h
-cat ../../../tdelibs/kio/kio/klimitediodevice.h >> kolimitediodevice.h || exit 1
+cat ../../../tdelibs/tdeio/tdeio/klimitediodevice.h >> kolimitediodevice.h || exit 1
perl -pi -e 's/KZip/KoZip/g' kozip.cpp kozip.h
perl -pi -e 's/kzip\.h/kozip\.h/' kozip.cpp